Here

by givemeaname - 1/7/13 10:42 AM

In Reply to: old iPod upgrade by mcangel19

Look at Highest Supported OS for your version.

http://en.wikipedia.org/wiki/IPod_Touch#Specifications